wuzz(1)

NAME
wuzz - interactive tool for HTTP inspection

DESCRIPTION
Wuzz is an interactive tool for generating and sending HTTP requests, as well as viewing the responses. Instead of having to specify the HTTP headers, parameters, body etc. on the command-line, a simple and intuitive CUI (console user interface) can be used. Wuzz's command line arguments are similar to cURL's arguments, so it can be used to inspect and modify requests copied from a browser's network inspector with the "copy as cURL" feature.

SYNOPSIS
wuzz [OPTIONS]... [URL]

OPTIONS

-H, --header HEADER
    Specify an HTTP Header

-d, --data-, --data-binary DATA
    Specify a (binary) data to be sent

-X, --request METHOD
    Select an HTTP Request Method (GET, POST, PUT, DELETE, HEAD)

-t, --timeout MILLISECONDS
    Request timeout in Milliseconds

-c, --config PATH
    Use a custom configuration file

-h, --help
    Show wuzz's built-in help (may be more up to date)

-j, --json JSON
    Add JSON request data and set related request headers

-k, --insecure
    Allow untrusted TLS certificates

-R, --disable-redirects
    Do not follow HTTP redirects

-T, --tls MINX,MAX
    Restrict allowed TLS versions (SSL3.0, TLS1.0, TLS1.1, TLS1.2)

    wuzz -T TLS1.1 (TLS1.1 only)

    wuzz -T TLS1.0,TLS1.1 (from TLS1.0 up to TLS1.1)

--tlsv1.0
    Force TLS1.0 only

--tlsv1.1
    Force TLS1.1 only

--tlsv1.2
    Force TLS1.2 only

-1, --tlsv1
    Force TLS version 1.x (1.0, 1.1 or 1.2)

-v, --version
    Display wuzz version number

-x, --proxy URL
    Use HTTP(S) or SOCKS5 proxy

CONFIGURATION
The default location for the configuration file is $XDG_CONFIG_HOME/wuzz/config.toml. The -c / --config switch can be used to load a configuration file from a different location. This package ships with an example configuration in /usr/share/doc/wuzz/examples/.

KEYBINDINGS
Ctrl+R | Send request
Return (Enter) | Send request (only from URL view)
Ctrl+S | Save response
Ctrl+C | Quit
Ctrl+K, Shift+Tab | Previous view
Ctrl+J, Tab | Next view
Alt+H | Toggle History
Down (Arrow Keys) | Move down one view line
Up (Arrow Keys) | Move up one view line
Page down | Move down one view page
Page up | Move up one view page
F1 | Display help
F2 | Jump to URL
F3 | Jump to query parameters
F4 | Jump to HTTP method
F5 | Jump to request body
F6 | Jump to headers
F7 | Jump to search
F8 | Jump to response headers
F9 | Jump to response body

SEE ALSO
curl(1)

AUTHOR
This manual page was written by Jack Henschel <jackdev@mailbox.org>, for the Debian project (and may be used by others).